Description

This is a guide on installing the Atom editor on FreeBSD 9.

NOTE: | currently am unable to install Atom on FreeBSD due to dependency failures.

Prepare the Environment

* Make sure the system is up to date:
pkg update && pkg upgrade
e Install portmaster:

pkg install portmaster
prkg2ng

¢ |nstall nodejs and npm:

pkg install node npm libgnome-keyring gmake

Install Atom

NOTE: Atom must be built as a non-root user

sSu — user

e Ensure that gyp uses Python 2:

npm config set python /usr/local/bin/python2 -g

e Clone Atom from GitHub:

git clone https://github.com/atom/atom
cd atom

e Checkout the latest Atom release:

git fetch -p

git checkout $(git describe --tags “git rev-list --tags —--max-count=1")
e Build the application in a temporary directory:

script/build

¢ |nstall the application:

sudo script/grunt install

Resources

e https://github.com/atom/atom/blob/master/docs/build-instructions/freebsd.md

¢ https://github.com/atom/atom/issues/2599

History

#1 - 08/31/2015 09:42 PM - Daniel Curtis
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 30

#2 - 09/02/2015 06:58 PM - Daniel Curtis
- Description updated

- Status changed from In Progress to Suspended

#3 - 09/09/2015 09:07 PM - Daniel Curtis
- Description updated

- Status changed from Suspended to In Progress

#4 - 09/09/2015 09:29 PM - Daniel Curtis

- Description updated

#5 - 09/10/2015 09:45 AM - Daniel Curtis

- Status changed from In Progress to Suspended
